import request from '@/utils/request'
// 项目首页接口
//获取系统最顶层部门及坐标 不推荐使用
export function currentLocation() {
  return request({
    url: '/bigData/common/currentLocation',
    method: 'get',
  })
}

//获根据用户获取其所在的行政单位（对象）信息
export function getUserGeo() {
  return request({
    url: '/bigData/common/getUserGeo',
    method: 'get',
  })
}


//根据点击轮廓区的deptName获取其所在的行政单位（对象）信息
export function getUserGeoByDeptName(deptName) {
    return request({
        url: '/bigData/common/getUserGeoByDeptName/' +deptName,
        method: 'get',
    })
}

//根据点击乡镇的deptId获取其下的村（集合）信息
export function getUserGeoList(deptId) {
  return request({
    url: '/bigData/common/getUserGeoList/' +deptId,
    method: 'get',
  })
}

//主体名录
export function entityList(data) {
  return request({
    url: 'bigData/entity/list',
    method: 'get',
    params: data
  })
}

//指标统计、类型统计
export function entityStatistics(data) {
  return request({
    url: 'bigData/entity/entityStatistics',
    method: 'get',
    params: data
  })
}

//各单位主体数量对比
export function entityTypeStatistic(data) {
  return request({
    url: 'bigData/entity/entityTypeStatistic',
    method: 'get',
    params: data
  })
}

//合作社数量
export function societyCounts(data) {
  return request({
    url: 'bigData/society/societyCounts',
    method: 'get',
    params: data
  })
}

//合作社名录
export function societyList(data) {
  return request({
    url: 'bigData/society/list',
    method: 'get',
    params: data
  })
}
